CREATE TABLE IF NOT EXISTS `#__tagmeta` (
  `id` int(11) NOT NULL auto_increment,
  `uri` varchar(255) NOT NULL default '',
  `title` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `author` varchar(255) default NULL,
  `keywords` varchar(255) default NULL,
  `canonical` varchar(255) default NULL,
  `rindex` tinyint(1) NOT NULL default '1' COMMENT '0=No,1=Yes,2=Skip',
  `rfollow` tinyint(1) NOT NULL default '1' COMMENT '0=No,1=Yes,2=Skip',
  `rsnippet` tinyint(1) NOT NULL default '2' COMMENT '0=No,1=Yes,2=Skip',
  `rarchive` tinyint(1) NOT NULL default '2' COMMENT '0=No,1=Yes,2=Skip',
  `rodp` tinyint(1) NOT NULL default '2' COMMENT '0=No,1=Yes,2=Skip',
  `comment` varchar(255) default NULL,
  `case_sensitive` tinyint(1) NOT NULL default '1',
  `hits` int(11) unsigned NOT NULL default '0',
  `last_visit` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `idxuri` (`uri`)
) ENGINE=MyISAM default CHARSET=utf8;
