<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

 <?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
?>

<?php
  function TrimText($text_to_trim, $max_chars = '50') {
    if( strlen( $text_to_trim ) > $max_chars ) {
      return substr( $text_to_trim, 0, $max_chars ) . ' ...' ;
    } else {
      return $text_to_trim;
    }
  }
?>

<?php
  // Set toolbar items for the page
  JToolBarHelper::title( JText::_( 'Tag Meta Manager' ), 'generic.png' );
  JToolBarHelper::publishList();
  JToolBarHelper::unpublishList();
  JToolBarHelper::customX( 'copy', 'copy.png', 'copy_f2.png', 'Copy' );
  JToolBarHelper::deleteList();
  JToolBarHelper::editListX();
  JToolBarHelper::addNewX();
  JToolBarHelper::preferences('com_tagmeta', '380');
?>
<form action="index.php" method="post" name="adminForm">
<table>
<tr>
  <td align="left" width="100%">
    <?php echo JText::_( 'Filter' ); ?>:
    <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
    <button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
    <button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
  </td>
  <td nowrap="nowrap">
    <?php
      echo $this->lists['state'];
    ?>
  </td>
</tr>
</table>
<div id="editcell">
  <table class="adminlist">
  <thead>
    <tr>
      <th width="4%">
        <?php echo JText::_( 'NUM' ); ?>
      </th>
      <th width="4%">
        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
      </th>
      <th width="4%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'ID', 'a.id', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="13%">
        <?php echo JHTML::_('grid.sort', 'URI', 'a.uri', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        &nbsp;/&nbsp;
        <?php echo JHTML::_('grid.sort', 'Case sensitive', 'a.case_sensitive', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="23%">
        <?php echo JHTML::_('grid.sort', 'Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        &nbsp;/&nbsp;
        <?php echo JHTML::_('grid.sort', 'Description', 'a.description', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        &nbsp;/&nbsp;
        <?php echo JHTML::_('grid.sort', 'Author', 'a.author', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="23%">
        <?php echo JHTML::_('grid.sort', 'Keywords', 'a.keywords', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        &nbsp;/&nbsp;
        <?php echo JHTML::_('grid.sort', 'Canonical', 'a.canonical', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        &nbsp;/&nbsp;
        <?php echo JHTML::_('grid.sort', 'Comment', 'a.comment', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="6%">Robots</th>
      <th width="4%">
        <?php echo JHTML::_('grid.sort', 'Hits', 'a.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort', 'Last Visit', 'a.last_visit', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="9%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'Order', 'a.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        <?php echo JHTML::_('grid.order', $this->items ); ?>
      </th>
      <th width="5%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'Published', 'a.published', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
    </tr>
  </thead>
  <tfoot>
    <tr>
      <td colspan="11">
        <?php echo $this->pagination->getListFooter(); ?>
      </td>
    </tr>
  </tfoot>
  <tbody>
  <?php
  $k = 0;
    if( count( $this->items ) > 0 ) {
      for ($i=0, $n=count( $this->items ); $i < $n; $i++)
        {
            $row = &$this->items[$i];

            $link = JRoute::_( 'index.php?option=com_tagmeta&view=itemtagmeta&task=edit&cid[]='. $row->id );

            $checked = JHTML::_('grid.checkedout',   $row, $i);
            $published = JHTML::_('grid.published', $row, $i);

            $ordering = ($this->lists['order'] == 'a.ordering');
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $this->pagination->getRowOffset( $i ); ?>
                </td>
                <td align="center">
                    <?php echo $checked; ?>
                </td>
                <td align="center">
                    <?php echo $row->id; ?>
                </td>
                <td align="left">
                  <?php
                    $row_uri = TrimText(htmlspecialchars($row->uri, ENT_QUOTES), 100);
                    if (  JTable::isCheckedOut($this->user->get('id'), $row->checked_out ) ) {
                        echo $row_uri;
                    } else {
                    ?>
                        <a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit List' ); ?>">
                            <?php echo $row_uri; ?></a>
                    <?php
                    }
                  ?>
                  <br /><br /><br />
                  <?php echo JText::_( 'Case sensitive' ); ?>&nbsp;
                  <a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo ( $row->case_sensitive ) ? 'case_off' : 'case_on';?>')" title="<?php echo ( $row->case_sensitive ) ? JText::_( 'Yes' ) : JText::_( 'No' );?>">
                  <img src="images/<?php echo ( $row->case_sensitive ? 'tick.png' : 'publish_x.png' );?>" width="16" height="16" border="0" alt="<?php echo ( $row->case_sensitive ) ? JText::_( 'Yes' ) : JText::_( 'No' );?>" /></a>
                </td>
                <td align="left">
                  <div style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px; height: 45px; width: 270px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo JText::_( 'Title' )."::".htmlspecialchars($row->title, ENT_QUOTES); ?>">
                    <?php
                      echo TrimText(htmlspecialchars($row->title, ENT_QUOTES), 100);
                    ?>
                  </div>
                  <div style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px; height: 45px; width: 270px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo JText::_( 'Description' )."::".htmlspecialchars($row->description, ENT_QUOTES); ?>">
                    <?php
                      echo TrimText(htmlspecialchars($row->description, ENT_QUOTES), 100);
                    ?>
                  </div>
                  <div style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px; height: 45px; width: 270px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo JText::_( 'Author' )."::".htmlspecialchars($row->author, ENT_QUOTES); ?>">
                    <?php
                      echo TrimText(htmlspecialchars($row->author, ENT_QUOTES), 100);
                    ?>
                  </div>
                </td>
                <td align="left">
                  <div style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px; height: 45px; width: 270px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo JText::_( 'Keywords' )."::".htmlspecialchars($row->keywords, ENT_QUOTES); ?>">
                    <?php
                      echo TrimText(htmlspecialchars($row->keywords, ENT_QUOTES), 100);
                    ?>
                  </div>
                  <div style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px; height: 45px; width: 270px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo JText::_( 'Canonical' )."::".htmlspecialchars($row->canonical, ENT_QUOTES); ?>">
                    <?php
                      echo TrimText(htmlspecialchars($row->canonical, ENT_QUOTES), 100);
                    ?>
                  </div>
                  <div style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px; height: 45px; width: 270px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo JText::_( 'Comment' )."::".htmlspecialchars($row->comment, ENT_QUOTES); ?>">
                    <?php
                      echo TrimText(htmlspecialchars($row->comment, ENT_QUOTES), 100);
                    ?>
                  </div>
                </td>
                <td align="left">
                    <?php
                      $robots = '';
                      if ($row->rindex != 2) { $robots .= ($row->rindex) ? 'index,' : 'noindex,'; }
                      if ($row->rfollow != 2) { $robots .= ($row->rfollow) ? 'follow,' : 'nofollow,'; }
                      if ($row->rsnippet != 2) { $robots .= ($row->rsnippet) ? 'snippet,' : 'nosnippet,'; }
                      if ($row->rarchive != 2) { $robots .= ($row->rarchive) ? 'archive,' : 'noarchive,'; }
                      if ($row->rodp != 2) { $robots .= ($row->rodp) ? 'odp' : 'noodp'; }
                      $robots = rtrim($robots, ','); // Drop last char if is a comma
                      echo $robots;
                    ?>
                </td>
                <td align="center">
                    <?php echo $row->hits; ?>
                </td>
                <td>
                    <?php echo $row->last_visit; ?>
                </td>
                <td class="order">
                    <span><?php echo $this->pagination->orderUpIcon( $i, true,'orderup', 'Move Up', $ordering ); ?></span>
                    <span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
                    <?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
                    <input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
                </td>
                <td align="center">
                    <?php echo $published;?>
                </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
    } else {
        ?>
        <tr>
        <td colspan="11">
            <?php echo JText::_( 'There are no items present' ); ?>
        </td>
        </tr>
        <?php
    }
  ?>
  </tbody>
  </table>
</div>

<input type="hidden" name="option" value="com_tagmeta" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
