<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
?>

<?php
// Set toolbar items for the page
$edit = JRequest::getVar('edit',true);
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title( JText::_( 'Item' ).': <small>[ ' . $text.' ]</small>' );
JToolBarHelper::save();
JToolBarHelper::apply();
if (!$edit)  {
    JToolBarHelper::cancel();
} else {
    JToolBarHelper::cancel( 'cancel', 'Close' );
}
?>

<script language="javascript" type="text/javascript">
    <!--
    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        }

        // do field validation
        if (form.uri.value == ""){
            alert( "<?php echo JText::_( 'Please provide a valid uri', true ); ?>" );
        } else {
            submitform( pressbutton );
        }
    }
    -->
</script>
<style type="text/css">
    table.paramlist td.paramlist_key {
        width: 92px;
        text-align: left;
        height: 30px;
    }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="50%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="uri">
                    <?php echo JText::_( 'URI' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="uri" id="uri" size="100" maxlength="255" value="<?php echo $this->itemtagmeta->uri;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="case_sensitive">
                    <?php echo JText::_( 'Case sensitive' ); ?>:
                </label>
            </td>
            <td>
                <input type="checkbox" name="case_sensitive" id="case_sensitive" <?php echo ( $this->itemtagmeta->case_sensitive ) ? 'checked="checked"' : '';?> />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="published">
                    <?php echo JText::_( 'Published' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['published']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="ordering">
                    <?php echo JText::_( 'Ordering' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['ordering']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="title">
                    <?php echo JText::_( 'Title' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="title" id="title" size="100" maxlength="255" value="<?php echo $this->itemtagmeta->title; ?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="description">
                    <?php echo JText::_( 'Description' ); ?>:
                </label>
            </td>
            <td>
                <textarea class="text_area" cols="57" rows="4" name="description" id="description"><?php echo $this->itemtagmeta->description; ?></textarea>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="auhtor">
                    <?php echo JText::_( 'Author' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="author" id="author" size="100" maxlength="255" value="<?php echo $this->itemtagmeta->author; ?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="keywords">
                    <?php echo JText::_( 'Keywords' ); ?>:
                </label>
            </td>
            <td>
                <textarea class="text_area" cols="57" rows="4" name="keywords" id="keywords"><?php echo $this->itemtagmeta->keywords; ?></textarea>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="canonical">
                    <?php echo JText::_( 'Canonical' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="canonical" id="canonical" size="100" maxlength="255" value="<?php echo $this->itemtagmeta->canonical; ?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="comment">
                    <?php echo JText::_( 'Comment' ); ?>:
                </label>
            </td>
            <td>
                <textarea class="text_area" cols="57" rows="4" name="comment" id="comment"><?php echo $this->itemtagmeta->comment; ?></textarea>
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="hits">
                    <?php echo JText::_( 'Hits' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="hits" id="hits" size="11" maxlength="11" value="<?php echo $this->itemtagmeta->hits;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="last_visit">
                    <?php echo JText::_( 'Last visit' ); ?>:
                </label>
            </td>
            <td>
                <?php $attribs = array('size' => '25');
                      echo JHTML::calendar($this->itemtagmeta->last_visit, 'last_visit', 'last_visit', '%Y-%m-%d %H:%M:%S', $attribs);
                ?>
            </td>
        </tr>
    </table>
    </fieldset>
</td>
<td valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Robots' ); ?></legend>
        <table class="admintable">
            <tr>
                <td width="100" align="right" class="key">
                    <label for="rindex">
                        <?php echo 'index'; ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="radio" name="rindex" id="rindex0" value="0" <?php if ( $this->itemtagmeta->rindex == 0) echo "checked=\"checked\"";?> />
                    <label for="rindex0">No</label>
                    <input class="inputbox" type="radio" name="rindex" id="rindex1" value="1" <?php if ( $this->itemtagmeta->rindex == 1) echo "checked=\"checked\"";?> />
                    <label for="rindex1">Yes</label>
                    <input class="inputbox" type="radio" name="rindex" id="rindex2" value="2" <?php if ( $this->itemtagmeta->rindex == 2) echo "checked=\"checked\"";?> />
                    <label for="rindex2">Skip</label>
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                    <label for="rfollow">
                        <?php echo 'follow'; ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="radio" name="rfollow" id="rfollow0" value="0" <?php if ( $this->itemtagmeta->rfollow == 0) echo "checked=\"checked\"";?> />
                    <label for="rfollow0">No</label>
                    <input class="inputbox" type="radio" name="rfollow" id="rfollow1" value="1" <?php if ( $this->itemtagmeta->rfollow == 1) echo "checked=\"checked\"";?> />
                    <label for="rfollow1">Yes</label>
                    <input class="inputbox" type="radio" name="rfollow" id="rfollow2" value="2" <?php if ( $this->itemtagmeta->rfollow == 2) echo "checked=\"checked\"";?> />
                    <label for="rfollow2">Skip</label>
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                    <label for="rsnippet">
                        <?php echo 'snippet'; ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="radio" name="rsnippet" id="rsnippet0" value="0" <?php if ( $this->itemtagmeta->rsnippet == 0) echo "checked=\"checked\"";?> />
                    <label for="rsnippet0">No</label>
                    <input class="inputbox" type="radio" name="rsnippet" id="rsnippet1" value="1" <?php if ( $this->itemtagmeta->rsnippet == 1) echo "checked=\"checked\"";?> />
                    <label for="rsnippet1">Yes</label>
                    <input class="inputbox" type="radio" name="rsnippet" id="rsnippet2" value="2" <?php if ( $this->itemtagmeta->rsnippet == 2) echo "checked=\"checked\"";?> />
                    <label for="rsnippet2">Skip</label>
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                    <label for="rarchive">
                        <?php echo 'archive'; ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="radio" name="rarchive" id="rarchive0" value="0" <?php if ( $this->itemtagmeta->rarchive == 0) echo "checked=\"checked\"";?> />
                    <label for="rarchive0">No</label>
                    <input class="inputbox" type="radio" name="rarchive" id="rarchive1" value="1" <?php if ( $this->itemtagmeta->rarchive == 1) echo "checked=\"checked\"";?> />
                    <label for="rarchive1">Yes</label>
                    <input class="inputbox" type="radio" name="rarchive" id="rarchive2" value="2" <?php if ( $this->itemtagmeta->rarchive == 2) echo "checked=\"checked\"";?> />
                    <label for="rarchive2">Skip</label>
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                    <label for="rodp">
                        <?php echo 'odp'; ?>:
                    </label>
                </td>
                <td>
                    <input class="inputbox" type="radio" name="rodp" id="rodp0" value="0" <?php if ( $this->itemtagmeta->rodp == 0) echo "checked=\"checked\"";?> />
                    <label for="rodp0">No</label>
                    <input class="inputbox" type="radio" name="rodp" id="rodp1" value="1" <?php if ( $this->itemtagmeta->rodp == 1) echo "checked=\"checked\"";?> />
                    <label for="rodp1">Yes</label>
                    <input class="inputbox" type="radio" name="rodp" id="rodp2" value="2" <?php if ( $this->itemtagmeta->rodp == 2) echo "checked=\"checked\"";?> />
                    <label for="rodp2">Skip</label>
                </td>
            </tr>
        </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Macro' ); ?></legend>
        <table class="admintable">
            <tr>
                <td width="100" align="right" class="key">
                  {siteurl}
                </td>
                <td>
                  Web site address
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {sitename}
                </td>
                <td>
                  Web site name
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {globaldescription}
                </td>
                <td>
                  Global site meta description
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {globalkeywords}
                </td>
                <td>
                  Global site meta keywords
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {currenttitle}
                </td>
                <td>
                  Current page title
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {currentdescription}
                </td>
                <td>
                  Current page meta description
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {currentkeywords}
                </td>
                <td>
                  Current page meta keywords
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {currentauthor}
                </td>
                <td>
                  Current page meta author
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {currentgenerator}
                </td>
                <td>
                  Current page meta generator
                </td>
            </tr>
            <tr>
                <td width="100" align="right" class="key">
                  {autokeywords M,N}
                </td>
                <td>
                  Automatic keys generation (M is minimun length of admitted words, N is number of comma separated words to return) - <b>ENTERPRISE VERSION ONLY</b>
                </td>
            </tr>

        </table>
    </fieldset>
</td>
</tr>
</table>

<input type="hidden" name="option" value="com_tagmeta" />
<input type="hidden" name="cid[]" value="<?php echo $this->itemtagmeta->id; ?>" />
<input type="hidden" name="task" value="" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
